[arch-commits] Commit in madwifi/trunk (3 files)

Tobias Powalowski tpowa at archlinux.org
Sat Jun 13 03:42:25 EDT 2009


    Date: Saturday, June 13, 2009 @ 03:42:25
  Author: tpowa
Revision: 42322

upgpkg: madwifi 0.9.4.3952-5

Added:
  madwifi/trunk/kernel-2.6.30.patch
Modified:
  madwifi/trunk/PKGBUILD
  madwifi/trunk/madwifi-ng.install

---------------------+
 PKGBUILD            |   10 +++++++---
 kernel-2.6.30.patch |   14 ++++++++++++++
 madwifi-ng.install  |    6 +++---
 3 files changed, 24 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-13 06:11:41 UTC (rev 42321)
+++ PKGBUILD	2009-06-13 07:42:25 UTC (rev 42322)
@@ -2,20 +2,21 @@
 # Originally by kleptophobiac <kleptophobiac at gmail.com>
 # Modified by James Rayner for the repositories <iphitus at gmail.com>
 
-_kernver=2.6.29-ARCH
+_kernver=2.6.30-ARCH
 
 pkgname=madwifi
 pkgver=0.9.4.3952
-pkgrel=4
+pkgrel=5
 pkgdesc="Madwifi drivers for Atheros wireless chipsets. For stock arch 2.6 kernel"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://madwifi.org"
-depends=('madwifi-utils' 'kernel26>=2.6.29' 'kernel26<2.6.30')
+depends=('madwifi-utils' 'kernel26>=2.6.30' 'kernel26<2.6.31')
 makedepends=('sharutils')
 install=madwifi-ng.install
 # subversion source: svn checkout http://svn.madwifi.org/madwifi/trunk madwifi
 source=(ftp://ftp.archlinux.org/other/madwifi/madwifi-${pkgver}.tar.bz2
+        kernel-2.6.30.patch
 	#http://downloads.sourceforge.net/madwifi/madwifi-${pkgver}.tar.gz
 	)
 
@@ -24,6 +25,7 @@
 
   #cd $startdir/src/$pkgname-$pkgver
   cd $startdir/src/$pkgname
+  patch -Np0 -i ../kernel-2.6.30.patch || return 1
   sed -i -e 's/-Werror//g' Makefile.inc
   make KERNELPATH=/lib/modules/$_kernver/build KERNELRELEASE=$_kernver modules|| return 1
   make KERNELPATH=/lib/modules/$_kernver/build KERNELRELEASE=$_kernver modules \
@@ -35,3 +37,5 @@
   mv $startdir/pkg/lib/modules/$_kernver/net/* $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless/madwifi
   rm -r $startdir/pkg/lib/modules/$_kernver/net/
 }
+md5sums=('f5bac7a3c0b5b374ae60c0d536eb9a74'
+         'f32169dd509d9f7d9355e058247b6f02')

Added: kernel-2.6.30.patch
===================================================================
--- kernel-2.6.30.patch	                        (rev 0)
+++ kernel-2.6.30.patch	2009-06-13 07:42:25 UTC (rev 42322)
@@ -0,0 +1,14 @@
+--- ath/if_athvar.h~	2009-06-13 09:38:53.000000000 +0200
++++ ath/if_athvar.h	2009-06-13 09:38:53.000000000 +0200
+@@ -103,11 +103,6 @@
+ /*
+  * Guess how the interrupt handler should work.
+  */
+-#if !defined(IRQ_NONE)
+-typedef void irqreturn_t;
+-#define	IRQ_NONE
+-#define	IRQ_HANDLED
+-#endif /* !defined(IRQ_NONE) */
+ 
+ #ifndef SET_MODULE_OWNER
+ #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,23)

Modified: madwifi-ng.install
===================================================================
--- madwifi-ng.install	2009-06-13 06:11:41 UTC (rev 42321)
+++ madwifi-ng.install	2009-06-13 07:42:25 UTC (rev 42322)
@@ -1,14 +1,14 @@
 post_install() {
-  KERNEL_VERSION='2.6.29-ARCH'
+  KERNEL_VERSION='2.6.30-ARCH'
   depmod -ae $KERNEL_VERSION > /dev/null 2>&1
 }
 
 post_upgrade() {
-  KERNEL_VERSION='2.6.29-ARCH'
+  KERNEL_VERSION='2.6.30-ARCH'
   depmod -ae $KERNEL_VERSION > /dev/null 2>&1
 }
 
 post_remove() {
-  KERNEL_VERSION='2.6.29-ARCH'
+  KERNEL_VERSION='2.6.30-ARCH'
   depmod -ae $KERNEL_VERSION > /dev/null 2>&1
 }



More information about the arch-commits mailing list